API Reference
Add contacts to broadcast
Add contacts to a broadcast in batch. Maximum 1000 contacts per request.
POST
/
v1
/
broadcasts
/
{broadcastId}
/
contacts
Add contacts to broadcast
curl --request POST \
--url https://api.zavu.dev/v1/broadcasts/{broadcastId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"recipient": "+14155551234",
"templateVariables": {
"name": "John",
"order_id": "ORD-001"
}
},
{
"recipient": "+14155555678",
"templateVariables": {
"name": "Jane",
"order_id": "ORD-002"
}
}
]
}
'import requests
url = "https://api.zavu.dev/v1/broadcasts/{broadcastId}/contacts"
payload = { "contacts": [
{
"recipient": "+14155551234",
"templateVariables": {
"name": "John",
"order_id": "ORD-001"
}
},
{
"recipient": "+14155555678",
"templateVariables": {
"name": "Jane",
"order_id": "ORD-002"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
recipient: '+14155551234',
templateVariables: {name: 'John', order_id: 'ORD-001'}
},
{
recipient: '+14155555678',
templateVariables: {name: 'Jane', order_id: 'ORD-002'}
}
]
})
};
fetch('https://api.zavu.dev/v1/broadcasts/{broadcastId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"added": 123,
"duplicates": 123,
"invalid": 123,
"errors": [
{
"recipient": "<string>",
"reason": "<string>"
}
]
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
List of contacts to add (max 1000 per request).
Maximum array length:
1000Show child attributes
Show child attributes
⌘I
Add contacts to broadcast
